/*
*
* Description: import all requested headers for using the caltrack reader library
*
* History :
*   v0.1.0 2009/09/02 : updated for v0.6.5 caltrack unit products
*   v0.0.0 2008/02/25 : creation
*
* Author: Nicolas PASCAL <nicolas.pascal@icare.univ-lille1.fr>, (C) Centre de Gestion et de Traitement de Données (CGTD) ICARE 2008
*
* Copyright: See COPYING file that comes with this distribution
*
*/

#ifndef CALTRACK_READER_H
#define CALTRACK_READER_H

#include "stdio.h"

#include "caltrack_reader_caliop_05kmalay.h"

#include "caltrack_reader_calipso_iir_l2_track.h"

#include "caltrack_reader_parasol_l1.h"
#include "caltrack_reader_parasol_ls2.h"
#include "caltrack_reader_parasol_rb2.h"
#include "caltrack_reader_parasol_oc2.h"

#include "caltrack_reader_modis_myd021km.h"
#include "caltrack_reader_modis_myd04.h"
#include "caltrack_reader_modis_myd05.h"
#include "caltrack_reader_modis_myd06.h"

#include "caltrack_reader_cloudsat_1b_cpr.h"
#include "caltrack_reader_cloudsat_2b_geoprof.h"
#include "caltrack_reader_cloudsat_2b_cldclass.h"

#include "caltrack_reader_omi_cldo2.h"
#include "caltrack_reader_omi_no2.h"
#include "caltrack_reader_omi_cldrr.h"

#endif
