//
// C++ Interface: caltrack_reader_caliop_05kmalay
//
// Description: 
//
//
// Author: Nicolas PASCAL <nicolas.pascal@icare.univ-lille1.fr>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef CALTRACK_READER_CALIOP_05KMALAY_H
#define CALTRACK_READER_CALIOP_05KMALAY_H

#include "caltrack_reader_common.h"

typedef struct {
    float32 lat;
    float32 lon;
    float64 time;
    int8    number_layers_found;
    float32 layer_top_altitude              [NB_AEROSOL_LAYER_CALIOP];
    float32 layer_base_altitude             [NB_AEROSOL_LAYER_CALIOP];
    uint16  feature_classification_flags    [NB_AEROSOL_LAYER_CALIOP];
    float32 layer_top_temperature           [NB_AEROSOL_LAYER_CALIOP];
    float32 layer_base_temperature          [NB_AEROSOL_LAYER_CALIOP];
    float32 layer_top_pressure              [NB_AEROSOL_LAYER_CALIOP];
    float32 layer_base_pressure             [NB_AEROSOL_LAYER_CALIOP];
    float32 feature_optical_depth_532       [NB_AEROSOL_LAYER_CALIOP];
} caltrack_record_CALIOP_05KMALAY;

/**
 * @brief read the record at index "i_rec" and stores the values in "record"
 * @param filename full path to the file to read
 * @param i_rec [input] index of the record (ie CALIOP profile index) to read. Range [0,nb_record-1]
 * @param record [output] stores the read values
 * @return 0 if all works well, -1 else
 */
int read_caltrack_record_CALIOP_05KMALAY ( const char* filename, const int i_rec, caltrack_record_CALIOP_05KMALAY *record );

/**
 * @brief print out the values of the given record
 * @param record the record to print
 */
void print_caltrack_record_CALIOP_05KMALAY ( const caltrack_record_CALIOP_05KMALAY const *record );

#endif
