//
// C++ Interface: caltrack_reader_calipso_iir_l2_track
//
// Description: 
//
//
// Author: Nicolas PASCAL <nicolas.pascal@icare.univ-lille1.fr>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef CALTRACK_READER_CALIPSO_IIR_L2_TRACK_H
#define CALTRACK_READER_CALIPSO_IIR_L2_TRACK_H

#include "caltrack_reader_common.h"

typedef struct {
    float32 lat;
    float32 lon;
    float64 time;
    float32 brightness_temperature_12_05;
    float32 brightness_temperature_10_60;
    float32 brightness_temperature_08_65;
    float32 effective_particle_size;
    int8    particle_shape_index;
    float32 ice_water_path;
} caltrack_record_CALIPSO_IIR_L2_TRACK;

/**
 * @brief read the record at index "i_rec" and stores the values in "record"
 * @param filename full path to the file to read
 * @param i_rec [input] index of the record (ie CALIOP profile index) to read. Range [0,nb_record-1]
 * @param record [output] stores the read values
 * @return 0 if all works well, -1 else
 */
int read_caltrack_record_CALIPSO_IIR_L2_TRACK ( const char* filename, const int i_rec, caltrack_record_CALIPSO_IIR_L2_TRACK *record );

/**
 * @brief print out the values of the given record
 * @param record the record to print
 */
void print_caltrack_record_CALIPSO_IIR_L2_TRACK ( const caltrack_record_CALIPSO_IIR_L2_TRACK const *record );

#endif
