//
// C++ Interface: caltrack_reader_cloudsat_1b_cpr
//
// Description: 
//
//
// Author: Nicolas PASCAL <nicolas.pascal@icare.univ-lille1.fr>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef CALTRACK_READER_CLOUDSAT_1B_CPR_H
#define CALTRACK_READER_CLOUDSAT_1B_CPR_H

#include "caltrack_reader_common.h"

typedef struct {
    float32 lat;
    float32 lon;
    float64 time;
    int16  input_profile_index;
    int16  input_file_index;
    char   input_file           [MAX_NC_NAME];
    float32 range_to_intercept;
    float32 range_to_first_bin;
    float32 receivedechopowers  [NB_CLOUDSAT_VERTICAL_BINS];

} caltrack_record_CLOUDSAT_1B_CPR;

/**
 * @brief read the record at index "i_rec" and stores the values in "record"
 * @param filename full path to the file to read
 * @param i_rec [input] index of the record (ie CALIOP profile index) to read. Range [0,nb_record-1]
 * @param record [output] stores the read values
 * @return 0 if all works well, -1 else
 */
int read_caltrack_record_CLOUDSAT_1B_CPR ( const char* filename, const int i_rec, caltrack_record_CLOUDSAT_1B_CPR *record );

/**
 * @brief print out the values of the given record
 * @param record the record to print
 */
void print_caltrack_record_CLOUDSAT_1B_CPR ( const caltrack_record_CLOUDSAT_1B_CPR const *record );

#endif
