/*
*  C Implementation: test_caltrack_reader_cloudsat_1b_cpr
*
* Description: 
*
*
* Author: Nicolas PASCAL <nicolas.pascal@icare.univ-lille1.fr>, (C) 2008
*
* Copyright: See COPYING file that comes with this distribution
*
*/
#include "caltrack_reader.h"

int main( int argc, char**argv ) {

    /**************************************/
    /*       READING A CALTRACK FILE      */
    /**************************************/

    /* path to the file to read */
    char filename[]="../../data/caltrack_l1_CLOUDSAT-1B-CPR_2007-03-01T00-55-42ZD.hdf";
    /* initialise the data record storage structure */
    caltrack_record_CLOUDSAT_1B_CPR record;
    /* return status */
    intn status    = -1;
    /* the index of the record to read (starting from 0) */
    int  i_record  = -1;

    /**************************************/
    /*         READ A DATA RECORD         */
    /**************************************/

    /* read the first record of the file */
    i_record=0;
    printf("--- Record #%d ---\n",i_record);
    status = read_caltrack_record_CLOUDSAT_1B_CPR( filename, i_record, &record);
    if (status == FAIL) // read error
        return FAIL;
    /* print out read data */
    print_caltrack_record_CLOUDSAT_1B_CPR(&record);

    /* read the 2th record of the file */
    i_record=2;
    printf("--- Record #%d ---\n",i_record);
    status = read_caltrack_record_CLOUDSAT_1B_CPR( filename, i_record, &record);
    if (status == FAIL) // read error
        return FAIL;
    print_caltrack_record_CLOUDSAT_1B_CPR(&record);

    return 0;
}
