#include "caltrack_reader.h"

int main( int argc, char**argv ) {
    /* path to the file to read */
    char filename[]="../../data/caltrack_l1_MODIS-MYD021KM_2007-03-01T00-55-42ZD.hdf";
    /* one input product */
    char* input_product = NULL;
    /* return status */
    int32 status    = -1;
    /* array of input files */
    char v_files[NB_INPUT_FILE_MAX][MAX_NC_NAME];
    /* number of input files */
    int32 nb_file = -1;
    /* generic iterator */
    int i = -1;

    /********************************************************/
    /*      READING THE INPUT FILES OF A CALTRACK FILE      */
    /********************************************************/

    /*--- CALIOP L1 ---*/
    /* read them */
    input_product = "CALIOP L1";
    status = get_v_input_files( filename, input_product , v_files, &nb_file);
    if (status == FAIL) { // read error
        return FAIL;
    }
    /* print them out */
    printf ("*** Input files for product %s ***\n",input_product);
    for ( i=0 ; i<nb_file ; ++i) {
        printf("%s\n",v_files[i]);
    }

    /*--- MYD021KM ---*/
    input_product = "MYD021KM";
    /* read them */
    status = get_v_input_files( filename, input_product , v_files, &nb_file);
    if (status == FAIL) { // read error
        return FAIL;
    }
    /* print them out */
    printf ("*** Input files for product %s ***\n",input_product);
    for ( i=0 ; i<nb_file ; ++i) {
        printf("%s\n",v_files[i]);
    }

    return SUCCEED;
}
