#include "caltrack_reader.h"

int main( int argc, char**argv ) {

    /**************************************/
    /* READING A CALTRACK MODIS L1 FILE */
    /**************************************/

    /* path to the file to read */
    char filename[]="../../data/caltrack_l1_MODIS-MYD021KM_2007-03-01T00-55-42ZD.hdf";
    /* initialise the data record storage structure */
    caltrack_record_MODIS_L1 modis_l1_record;
    /* return status */
    intn status    = -1;
    /* the index of the record to read (starting from 0) */
    int  i_record  = -1;

    /**************************************/
    /*         READ A DATA RECORD         */
    /**************************************/

    /* read the first record of the file */
    i_record=0;
    printf("--- Record #%d ---\n",i_record);
    status = read_caltrack_record_MODIS_L1( filename, i_record, &modis_l1_record);
    if (status == FAIL) // read error
        return FAIL;
    /* print out read data */
    print_caltrack_record_MODIS_L1(&modis_l1_record);

    /* read the 1817th record of the file */
// printf("%s\n",filename);
    i_record=1817;
    printf("--- Record #%d ---\n",i_record);
    status = read_caltrack_record_MODIS_L1( filename, i_record, &modis_l1_record);
    if (status == FAIL) // read error
        return FAIL;
    print_caltrack_record_MODIS_L1(&modis_l1_record);

    return 0;
}
