/*
*  C Implementation: test_caltrack_reader_omi_cldrr
*
* Description:
*   OMI CLDRR CALTRACK_UNIT reader unit test
*
* Author:
*   CGTD-ICARE/UDEV Nicolas PASCAL <nicolas.pascal@icare.univ-lille1.fr>, (C) 2009
*
* License :
*   This file must be used under the terms of the CeCILL.
*   This source file is licensed as described in the file COPYING, which
*   you should have received as part of this distribution.  The terms
*   are also available at
*   http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
*
*/

#include "caltrack_reader.h"

int main( int argc, char**argv ) {

    /**************************************/
    /* READING A CALTRACK OMI CLDRR FILE */
    /**************************************/

    /* path to the file to read */
    char filename[]="../../data/caltrack_l2_OMI_CLDRR_2007-03-01T00-55-42ZD.hdf";
    /* initialise the data record storage structure */
    caltrack_record_OMI_CLDRR record;
    /* return status */
    intn status  = -1;
    /* the index of the record to read (starting from 0) */
    int i_record = -1;

    /**************************************/
    /*         READ A DATA RECORD         */
    /**************************************/

    /* read the first record of the file */
    i_record=0;
    printf("--- Record #%d ---\n",i_record);
    status = read_caltrack_record_OMI_CLDRR( filename, i_record, &record);
    if (status == FAIL) // read error
        return FAIL;
    /* print out read data */
    print_caltrack_record_OMI_CLDRR(&record);

    /* read the nth record of the file */
    i_record=563;
    printf("--- Record #%d ---\n",i_record);
    status = read_caltrack_record_OMI_CLDRR( filename, i_record, &record);
    if (status == FAIL) // read error
        return FAIL;
    /* print out read data */
    print_caltrack_record_OMI_CLDRR(&record);

    return 0;
}
