#include "caltrack_reader.h"

int main( int argc, char**argv ) {

    /**************************************/
    /* READING A CALTRACK PARASOL L1 FILE */
    /**************************************/

    /* path to the file to read */
    char filename[]="../../data/caltrack_l1_PARASOL-L1_2007-03-01T00-55-42ZD.hdf";
    /* initialise the data record storage structure */
    caltrack_record_PARASOL_L1 parasol_l1_record;
    /* return status */
    intn status    = -1;
    /* the index of the record to read (starting from 0) */
    int i_record = -1;

    /**************************************/
    /*         READ A DATA RECORD         */
    /**************************************/

    /* read the first record of the file */
    i_record=0;
    printf("--- Record #%d ---\n",i_record);
    status = read_caltrack_record_PARASOL_L1( filename, i_record, &parasol_l1_record);
    if (status == FAIL) // read error
        return FAIL;
    /* print out read data */
    print_caltrack_record_PARASOL_L1(&parasol_l1_record);

    /* read the 4994th record of the file */
    i_record=4994;
    printf("--- Record #%d ---\n",i_record);
    status = read_caltrack_record_PARASOL_L1( filename, i_record, &parasol_l1_record);
    if (status == FAIL) // read error
        return FAIL;
    print_caltrack_record_PARASOL_L1(&parasol_l1_record);

    return 0;
}
