#!/bin/bash -f

##############################################################################
#                     caltrack_reader library compilation environment
#
# Use: "source CALIIR_L2-compil-env.sh" before compilation step 
############################################################################## 

echo " "
echo "---------------------------------------------"
echo "-- caltrack_reader compilation environment --"
echo "---------------------------------------------"

#--------------------------------------#
# Compiler flags                       #
#--------------------------------------#

export F90="gfortran"
export F90FLAGS="-O0 -Wall"

case $MACHINE_NAME in
    "camelot.ipsl.polytechnique.fr" ) # needs to link to the static library under camelot
        export F90FLAGS=$F90FLAGS" -static-libgcc"
        ;;
esac
echo " F90 compiler:" $F90
echo " F90 flags:" $F90FLAGS

#-------------------------#
# HDF library information #
#-------------------------#
# --- Set a Machine Specific Environment --- #
MACHINE_NAME=`uname -n`
case $MACHINE_NAME in
    "icare-pc12" )
        export HDF_INC="-I/home/pascal/include"
        export HDF_LIBS="-L/home/pascal/lib -lmfhdf -ldf -ljpeg -lz -lm"
        ;;
    "icarabosse.icare.univ-lille1.fr" )
        export HDF_INC="-I/usr/lib/hdf/include"
        export HDF_LIBS="-L/usr/lib/hdf/lib -lmfhdf -ldf -ljpeg -lz -lm"
        ;;
    "icarbure.icare.univ-lille1.fr" )
        export HDF_INC="-I/usr/local/hdf4.2r1/include"
        export HDF_LIBS="-L/usr/local/hdf4.2r1/lib -lmfhdf -ldf -ljpeg -lz -lm"
        ;;
     * )
        export HDF_INC="-I/usr/include"
        export HDF_LIBS="-L/usr/lib -lmfhdf -ldf -ljpeg -lz -lm"
        ;;
esac

echo " HDF includes      :" $HDF_INC
echo " HDF libs          :" $HDF_LIBS

echo " "

